import gym
import numpy as np
from gym.envs.box2d.bipedal_walker import BipedalWalker

MOTORS_TORQUE = 80

class ConstrainedBipedalEnv(BipedalWalker):
    def __init__(self, render=False):
        BipedalWalker.__init__(self)

    def step(self, action):
        obs, reward, done, info = super().step(action)
        # obs is 
        # state = [
        #     self.hull.angle,        # Normal angles up to 0.5 here, but sure more is possible.
        #     2.0*self.hull.angularVelocity/FPS,
        #     0.3*vel.x*(VIEWPORT_W/SCALE)/FPS,  # Normalized to get -1..1 range
        #     0.3*vel.y*(VIEWPORT_H/SCALE)/FPS,
        #     self.joints[0].angle,   # This will give 1.1 on high up, but it's still OK (and there should be spikes on hiting the ground, that's normal too)
        #     self.joints[0].speed / SPEED_HIP,
        #     self.joints[1].angle + 1.0,
        #     self.joints[1].speed / SPEED_KNEE,
        #     1.0 if self.legs[1].ground_contact else 0.0,
        #     self.joints[2].angle,
        #     self.joints[2].speed / SPEED_HIP,
        #     self.joints[3].angle + 1.0,
        #     self.joints[3].speed / SPEED_KNEE,
        #     1.0 if self.legs[3].ground_contact else 0.0
        #     ]
        # state += [l.fraction for l in self.lidar]

        cost = float(obs[2] > 0.6)
        for a in action:
            reward += 0.00035 * MOTORS_TORQUE * np.clip(np.abs(a), 0, 1)
        info['cost'] = cost

        # if done:
        #     print("final pos: {}".format(self.hull.position[0]))

        return obs, reward, done, info